# getShareList()

## Syntax

```javascript
getShareList(id: string | number, token?: string)
```

Get a list of users that a file/folder was shared with them by file/folder id.

## Parameters

<table><thead><tr><th width="144">Name</th><th width="121">Type</th><th width="108">Required</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>string or number</td><td>Yes</td><td>The file/folder id</td></tr><tr><td>token</td><td>string</td><td>No</td><td>The authentication token response from Eueno API when login. After login, this token was saved in local storage with the name “eueno-token".</td></tr></tbody></table>

## Example

```javascript
import { getShareList as getShareListLibrary } from "@eueno/lib-browser";
 
const getListShare = async () => {
   try {
     const res = await getShareListLibrary(id, token);
     if (res?.data?.data) console.log(res?.data?.data);
   } catch (error) {
     console.log(error);
   }
 };

```

Response of example:

```javascript
 “data”:    [
 {
            "id": "30",
            "ownerAddress": "0x8bf…07f9",
            "fileId": "216756",
            "projectId": "96",
            "sharedUserAddress": "0xf069ff7…5cf387f15",
            "encryptedKey": "f80703eb7…81681",
            "createdAt": "2023-03-13T08:17:27.544Z",
            "updatedAt": "2023-03-13T08:17:27.544Z",
            "user": {
                "nameTag": "no_name",
                "avatar": ""
            }
        }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eueno.io/eueno-libraries/eueno-lib-browser/getsharelist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
